AKAZE (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class AKAZE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.AKAZE

-     public class AKAZE
      extends Feature2D

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DESCRIPTOR_KAZE`
    `static int` | `DESCRIPTOR_KAZE_UPRIGHT`
    `static int` | `DESCRIPTOR_MLDB`
    `static int` | `DESCRIPTOR_MLDB_UPRIGHT`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AKAZE(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AKAZE` | `__fromPtr__(long addr)`
    `static AKAZE` | `create()`
    `static AKAZE` | `create(int descriptor_type, int descriptor_size, int descriptor_channels, float threshold, int nOctaves, int nOctaveLayers, int diffusivity)`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `int` | `getDescriptorChannels()`
    `int` | `getDescriptorSize()`
    `int` | `getDescriptorType()`
    `int` | `getDiffusivity()`
    `int` | `getNOctaveLayers()`
    `int` | `getNOctaves()`
    `double` | `getThreshold()`
    `void` | `setDescriptorChannels(int dch)`
    `void` | `setDescriptorSize(int dsize)`
    `void` | `setDescriptorType(int dtype)`
    `void` | `setDiffusivity(int diff)`
    `void` | `setNOctaveLayers(int octaveLayers)`
    `void` | `setNOctaves(int octaves)`
    `void` | `setThreshold(double threshold)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DESCRIPTOR_KAZE_UPRIGHT

          public static final int DESCRIPTOR_KAZE_UPRIGHT

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_KAZE

          public static final int DESCRIPTOR_KAZE

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_MLDB_UPRIGHT

          public static final int DESCRIPTOR_MLDB_UPRIGHT

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_MLDB

          public static final int DESCRIPTOR_MLDB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AKAZE

          protected AKAZE(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AKAZE __fromPtr__(long addr)

    - #### create

          public static AKAZE create(int descriptor_type,
                                     int descriptor_size,
                                     int descriptor_channels,
                                     float threshold,
                                     int nOctaves,
                                     int nOctaveLayers,
                                     int diffusivity)

    - #### create

          public static AKAZE create()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Overrides:
        `getDefaultName` in class `Feature2D`

    - #### getThreshold

          public double getThreshold()

    - #### getDescriptorChannels

          public int getDescriptorChannels()

    - #### getDescriptorSize

          public int getDescriptorSize()

    - #### getDescriptorType

          public int getDescriptorType()

    - #### getDiffusivity

          public int getDiffusivity()

    - #### getNOctaveLayers

          public int getNOctaveLayers()

    - #### getNOctaves

          public int getNOctaves()

    - #### setDescriptorChannels

          public void setDescriptorChannels(int dch)

    - #### setDescriptorSize

          public void setDescriptorSize(int dsize)

    - #### setDescriptorType

          public void setDescriptorType(int dtype)

    - #### setDiffusivity

          public void setDiffusivity(int diff)

    - #### setNOctaveLayers

          public void setNOctaveLayers(int octaveLayers)

    - #### setNOctaves

          public void setNOctaves(int octaves)

    - #### setThreshold

          public void setThreshold(double threshold)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown